; GNU Emacs 20.3.1 (i386-redhat-linux) of Sat Oct  3 1998 on porky.redhat.com
;; $Id: html-sami-hooks.el,v 1.1 2001/09/04 20:31:45 oka Exp $
;; $Log: html-sami-hooks.el,v $
;; Revision 1.1  2001/09/04 20:31:45  oka
;; 2001-09-04  Ole Aamot  <oka@diff.ping.uio.no>
;;
;; 	* user-nn: Locale settings for nynorsk.
;;
;; 	* user-nb: Locale settings for bokml.
;;
;; 	* user-sme: Locale settings for nord-samisk
;;
;; Revision 1.1  2001/08/25 21:54:54  rjernsle
;; Lagt ut offentlig emacs.HTML.txt
;;
;; Revision 1.3  2001/08/10 21:29:13  rjernsle
;; Added Ddstroke, fixed a typo in Ggstroke definition.
;;
;; Revision 1.2  2001/08/10 20:49:09  rjernsle
;; Renamed functions, removed LaTeX stuff.
;;
;;
;; $HOME/.emacs
;;
;; Makroer for  skrive UTF-8 i HTML-dokumenter.
;; Kopier definisjonene inn i din $HOME/.emacs
;; start emacs p nytt
;; og gjr dette:  M-x html-mode
;; og makroene skal virke.
;;
;; Av:  <Regnor.Jernsletten@sami.uit.no>
;; Dato: sist endret 2000-08-10

;;;;; MODES
;;;;; html-mode

;;;; Nedenstende definisjoner gjr det mulig  skrive samiske bokstaver i
;;;; UTF-8 slik HTML 4,0 og seinere tillater.  Bare nordsamiske bokstaver
;;;; er tatt med.

;; frst settes html-mode automatisk: Filer som ender med `.htm' eller
;; `.html'.  Denne linja kan du evt. kommentere ut hvis du heller vil
;; sette html-mode manuelt i dokumentet.
(setq auto-mode-alist (cons '("\\.html?$" . html-mode) auto-mode-alist))

;; s defineres funksjon for hver bokstav.
(fset 'html-utf8-Ccaron "&#268;")
(fset 'html-utf8-ccaron  "&#269;")
(fset 'html-utf8-Dstroke "&#272;")
(fset 'html-utf8-dstroke  "&#273;")
(fset 'html-utf8-Gstroke "&#486;")
(fset 'html-utf8-gstroke  "&#487;")
(fset 'html-utf8-ENG "&#330;")
(fset 'html-utf8-eng  "&#331;")
(fset 'html-utf8-Scaron "&#352;")
(fset 'html-utf8-scaron  "&#353;")
(fset 'html-utf8-Tstroke "&#358;")
(fset 'html-utf8-tstroke  "&#359;")
(fset 'html-utf8-Zcaron "&#381;")
(fset 'html-utf8-zcaron  "&#382;")

;;;; Her knyttes funksjonen til en makro.  Hvilke taster som gjr hva
;;;; kan du lese av definisjonen:
;;;; C-cC leses slik:  Trykk frst Ctrl-C, deretter C
;;;; osv.

(add-hook 'html-mode-hook
            '(lambda ()
               (define-key html-mode-map "\C-cC" 'html-utf8-Ccaron)
               (define-key html-mode-map "\C-cc" 'html-utf8-ccaron)
               (define-key html-mode-map "\C-cD" 'html-utf8-Dstroke)
               (define-key html-mode-map "\C-cd" 'html-utf8-dstroke)
               (define-key html-mode-map "\C-cG" 'html-utf8-Gstroke)
               (define-key html-mode-map "\C-cg" 'html-utf8-gstroke)
               (define-key html-mode-map "\C-cN" 'html-utf8-ENG)
               (define-key html-mode-map "\C-cn" 'html-utf8-eng)
               (define-key html-mode-map "\C-cS" 'html-utf8-Scaron)
               (define-key html-mode-map "\C-cs" 'html-utf8-scaron)
               (define-key html-mode-map "\C-cT" 'html-utf8-Tstroke)
               (define-key html-mode-map "\C-ct" 'html-utf8-tstroke)
               (define-key html-mode-map "\C-cZ" 'html-utf8-Zcaron)
               (define-key html-mode-map "\C-cz" 'html-utf8-zcaron)
	       ))

;;;;
;;;; slutten p fila
;;;;
